package com.yonge.cooleshow.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(app_version_info):
 */
public class AppVersionInfo {

	/**  */
	private Long id;
	
	/** 平台（andorid/ios） */
	private String platform;
	
	/** 版本号（以V开头） */
	private String version;
	
	/** 状态（newest/history/auditing） */
	private String status;
	
	/** 是否强制更新 */
	private boolean isForceUpdate;
	
	/** 更新描述 */
	private String description;
	
	/** 下载地址 */
	private String downloadUrl;
	
	/** 创建人 */
	private Integer operatorId;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private java.util.Date createTime;

	public boolean isForceUpdate() {
		return isForceUpdate;
	}

	public void setForceUpdate(boolean forceUpdate) {
		isForceUpdate = forceUpdate;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setPlatform(String platform){
		this.platform = platform;
	}
	
	public String getPlatform(){
		return this.platform;
	}
			
	public void setVersion(String version){
		this.version = version;
	}
	
	public String getVersion(){
		return this.version;
	}
			
	public void setStatus(String status){
		this.status = status;
	}
	
	public String getStatus(){
		return this.status;
	}
			
	public void setIsForceUpdate(boolean isForceUpdate){
		this.isForceUpdate = isForceUpdate;
	}
	
	public boolean getIsForceUpdate(){
		return this.isForceUpdate;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setDownloadUrl(String downloadUrl){
		this.downloadUrl = downloadUrl;
	}
	
	public String getDownloadUrl(){
		return this.downloadUrl;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
